# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: hello_world.proto for package 'hello_world'

require 'grpc'
require 'hello_world_pb'

module HelloWorld
  module Greeter
    class Service

      include GRPC::GenericService

      self.marshal_class_method = :encode
      self.unmarshal_class_method = :decode
      self.service_name = 'hello_world.Greeter'

      rpc :SayHello, HelloRequest, HelloReply
      rpc :SayAgain, HelloRequest, HelloReply
    end

    Stub = Service.rpc_stub_class
  end
end
